# AddCustomerFlag POST https://api-demo.brij.fi/brij.core.v1.partner.Service/AddCustomerFlag Content-Type: application/json Add a flag to a customer. Flags indicate specific states or conditions for a customer, such as when a partner is actively processing a customer data. Reference: https://docs.brij.fi/api/brij-partner-api/brij-core-v-1-partner-service-add-customer-flag ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: partner-api version: 1.0.0 paths: /brij.core.v1.partner.Service/AddCustomerFlag: post: operationId: brij-core-v-1-partner-service-add-customer-flag summary: AddCustomerFlag description: >- Add a flag to a customer. Flags indicate specific states or conditions for a customer, such as when a partner is actively processing a customer data. tags: - '' parameters: - name: X-API-Key in: header required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: >- #/components/schemas/brij.core.v1.partner.AddCustomerFlagResponse requestBody: content: application/json: schema: $ref: '#/components/schemas/brij.core.v1.partner.AddCustomerFlagRequest' servers: - url: https://api-demo.brij.fi - url: https://api.brij.fi components: schemas: brij.core.v1.partner.FlagType: type: string enum: - FLAG_TYPE_PARTNER_PROCESSING description: FlagType represents the type of a customer flag title: brij.core.v1.partner.FlagType brij.core.v1.partner.AddCustomerFlagRequest: type: object properties: customerId: type: string flagType: $ref: '#/components/schemas/brij.core.v1.partner.FlagType' description: Add customer flag requests and responses title: brij.core.v1.partner.AddCustomerFlagRequest brij.core.v1.partner.AddCustomerFlagResponse: type: object properties: flagId: type: string title: brij.core.v1.partner.AddCustomerFlagResponse securitySchemes: PartnerApiKey: type: apiKey in: header name: X-API-Key ``` ## SDK Code Examples ```python import requests url = "https://api-demo.brij.fi/brij.core.v1.partner.Service/AddCustomerFlag" payload = {} headers = { "X-API-Key": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api-demo.brij.fi/brij.core.v1.partner.Service/AddCustomerFlag'; const options = { method: 'POST', headers: {'X-API-Key': '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api-demo.brij.fi/brij.core.v1.partner.Service/AddCustomerFlag" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("X-API-Key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api-demo.brij.fi/brij.core.v1.partner.Service/AddCustomerFlag") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["X-API-Key"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api-demo.brij.fi/brij.core.v1.partner.Service/AddCustomerFlag") .header("X-API-Key", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://api-demo.brij.fi/brij.core.v1.partner.Service/AddCustomerFlag', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', 'X-API-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api-demo.brij.fi/brij.core.v1.partner.Service/AddCustomerFlag"); var request = new RestRequest(Method.POST); request.AddHeader("X-API-Key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "X-API-Key": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-demo.brij.fi/brij.core.v1.partner.Service/AddCustomerFlag")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```